Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 23 Sep 2014, 18:46
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Security/Privacy
GPG support for sylpheed
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
ncsu1983

Joined: 23 Feb 2008
Posts: 13

PostPosted: Wed 21 Apr 2010, 19:42    Post subject:  GPG support for sylpheed  

I downloaded GnuPG from a link I found on another thread. Now I want to enable GPG support for Sylpheed.

According to Sylpheed website http://sylpheed.sraoss.jp/doc/faq/en/sylpheed-faq-2.html#d0e886, one would need to run:
Code:
./configure --enable-gpgme

to enable GPG support from Sylpheed source.

I can download Sylpheed from PET repository, but it doesn't have GPG support. Is there any way I can enable support after downloading from the repository? Can I re-configure Sylpheed? If so, how? Thanks in advance for any assistance.
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Wed 21 Apr 2010, 20:41    Post subject:  

you would need to compile it from source... out of curiosity how big is the gpg pet?
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
ncsu1983

Joined: 23 Feb 2008
Posts: 13

PostPosted: Wed 21 Apr 2010, 23:15    Post subject:  

I tried compiling from source last night, but when I did, Puppy complained about not finding a compiler (C++, I think).. If such a compiler is available from the repository, then I must have overlooked it.

Anyway, the GnuPG PET package is 662KB more or less (Thanks, ttuuxxx) Here's the link:
http://www.murga-linux.com/puppy/viewtopic.php?search_id=879175338&t=38816

As a side note, I wanted to use Enigmail with Thunderbird but T'bird kept crashing on me. So I decided to give Sylpheed a go.
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4351

PostPosted: Thu 22 Apr 2010, 01:28    Post subject:  

click on the pet packaging link in my signature for info on compiling in Puppy (all compiler tools come on a devx sfs specific to that version)

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/puppy-4.3.1/devx_431.sfs

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
ncsu1983

Joined: 23 Feb 2008
Posts: 13

PostPosted: Thu 22 Apr 2010, 07:01    Post subject:  

Thanks. I'll try compiling a PET package for GPG-enabled Sylpheed over the weekend and follow up with feedback as soon as possible.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Security/Privacy
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0432s ][ Queries: 12 (0.0036s) ][ GZIP on ]